Subject: bug#79253: Add timestamps to *Messages*

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Aug 2025 16:02:28 +0300

> From: Rudolf Adamkovič <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 17 Aug 2025 14:44:13 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > This happens because in this case we call 'message' 3 times, with the
> > following 3 strings:
> >
> >   "previous-line"
> >   ": "
> >   "Beginning of buffer"
> 
> Not the OP, I would like to understand more.
> 
> I have just evaluated
> 
>   (progn (message "previous-line")
>          (message ": ")
>          (message "Beginning of buffer"))
> 
> and I see 3 separate messages in the *Messages* buffer:
> 
>   previous-line
>   : 
>   Beginning of buffer
> 
> Why were they not concatenated as you had described?

Because that's not what Emacs does in that case (I've simplified this
in my explanation).  If you want to see all the details, put a
breakpoint in message_dolog and then trigger the error message.

> Not to derail the bug report, but speaking the *Messages* buffer
> improvements, I would also like to see automatic scrolling, along with
> two new key bindings, one for adding some sort of separator and another
> for clearing the buffer.  I mention these ideas here in the case they
> somehow tie to the missing time stamps design-wise.

Automatic scrolling already exists.  As for the rest, feel free to
propose new features (just not as part of this bug report).